Para Windows e Mac

Especificações técnicas

FileMaker Server 17

O que está incluído

O FileMaker Server 17 está disponível somente para download. Ele inclui o software do produto e um link para um certificado de licença eletrônico que contém uma chave de licença necessária para a instalação. A documentação do produto está disponível online em formato PDF.

Idiomas compatíveis: inglês, francês, italiano, alemão, sueco e japonês.

Compatibilidade

O FileMaker Server 17 é compatível com os seguintes clientes:

  • FileMaker Pro 16 e 15
  • FileMaker Pro 17, 16 e 15 Advanced
  • FileMaker Go 17, 16 e 15
  • Aplicativos criados usando o iOS App SDK 17, 16 e 15
  • FileMaker WebDirect

As atualizações de segurança mais recentes devem ser aplicadas aos clientes acima antes de eles serem conectados ao FileMaker Server 17. Alguns recursos podem não ser totalmente compatíveis retroativamente. Saiba mais

Requisitos do sistema

Nota: as edições Windows Server 2008 R2 SP1 Standard e Enterprise não são mais compatíveis. Atualize o seu sistema operacional antes de fazer upgrade para o FileMaker Server 17.

Sistemas operacionais certificados*
Windows Server 2016 Standard Edition (com Desktop Experience)
Windows Server 2012 R2 Standard Edition com atualização (consulte o artigo 2919355 da Base de conhecimento da Microsoft)
macOS Mojave 10.14
macOS High Sierra 10.13
macOS Sierra 10.12

*A versão indicada é o requisito mínimo. O FileMaker Server também pode funcionar com sistemas operacionais mais recentes certificados pela FileMaker, Inc. Os sistemas operacionais não listados na tabela acima também podem funcionar, mas não foram testados e não recebem suporte. Uma conexão com a Internet é necessária para instalar o FileMaker Server no Windows.

Requisitos de hardware

Recomenda-se um computador dedicado para o FileMaker Server.

Requisitos mínimos Requisitos recomendados
CPU: Dual Core
RAM: 8 GB
Disco rígido: 80 GB ou mais, dependendo do tamanho do arquivo
CPU: 4-Core
RAM: 8 GB
Disco rígido: 80 GB ou mais, dependendo do tamanho do arquivo
Requisitos de unidade do sistema operacional

O FileMaker Server usa a unidade do sistema operacional para fornecer armazenamento temporário para fazer downloads progressivos, upload e download de aplicativos, arquivos de registro e armazenamento em cache usado por componentes como o Servidor Web.

Para manter um ambiente operacional ideal, o FileMaker Server precisa de 80 GB ou mais de armazenamento na unidade do sistema operacional, mesmo se os aplicativos forem hospedados ou armazenados em backup em outra unidade. O administrador do servidor deve monitorar a unidade do sistema operacional para se certificar de que haja armazenamento suficiente disponível.

FileMaker WebDirect
Idiomas compatíveis

Inglês, francês, italiano, alemão, sueco, japonês, holandês, espanhol, chinês simplificado, coreano e português brasileiro

Navegadores compatíveis

O FileMaker WebDirect deve ser acessado por um navegador. Os navegadores compatíveis incluem:

Navegadores para desktop Navegadores para dispositivos móveis
Safari 11.x , no mínimo Mobile Safari em iOS 11.2, no mínimo
Chrome 65, no mínimo Chrome 65, no mínimo, em Android 7.x, no mínimo
Internet Explorer 11.x
Microsoft Edge 41
Requisitos de hardware em dispositivos móveis*
Plataforma Dispositivos compatíveis
iPad iPad Pro (12,9 pol. e 10,5 pol.)
iPad 9.7"
iPad mini 4
iPhone iPhone X
iPhone 8
iPhone 8 Plus
iPhone 7
iPhone 7 Plus
Android Memória: 3 GB de RAM, no mínimo
CPU: processador quad core de 2,1 GHz, no mínimo
Tamanho da tela: 5 polegadas, no mínimo

* O FileMaker WebDirect pode funcionar em outros dispositivos não listados na tabela acima, mas esses dispositivos não foram testados e não recebem suporte.

Acessórios de hardware de dispositivos móveis para FileMaker WebDirect
  • Suporte a teclado inteligente para iPad Pro
  • Suporte a Apple Pencil para iPad Pro
Requisitos de rede móvel

É necessário haver conexão de rede com intensidade de sinal e conectividade consistentes.

Redes móveis compatíveis
Wi-Fi LTE 4G
Configurações de hardware recomendadas

É necessário haver conexão de rede com intensidade de sinal e conectividade consistentes.

*As conexões podem ser limitadas por hardware, design do aplicativo, sistema operacional ou contrato de licenciamento.

Mais informações

Para obter mais informações sobre o FileMaker WebDirect, consulte o Guia do FileMaker WebDirect.

Capacidades

A tabela abaixo lista os limites máximos testados e teóricos de conexões simultâneas para o FileMaker Server 17. Os limites máximos testados refletem a configuração de teste e não representam uma garantia de desempenho.

Cliente Testado Máximo permitido
FileMaker Pro Advanced 500 2000*
FileMaker Go 500 500
FileMaker WebDirect 500 500
Publicação na Web personalizada (CWP)** 500 2000
FileMaker Data API 500 1000
ODBC/JDBC 50 Irrestrito*

*As conexões podem ser limitadas por hardware, design do aplicativo, usuários ativos, sistema operacional ou contrato de licenciamento.

**A Publicação na web personalizada (CWP, Custom Web Publishing) é baseada em eventos simultâneos de solicitação, em vez de conexões persistentes.

Licença de usuário

Uma licença de usuário permite que clientes, incluindo FileMaker Pro Advanced, FileMaker Go e FileMaker WebDirect se conectem ao FileMaker Server. Essas licenças podem ser compradas pelo Admin Console do FileMaker Server ou na Loja FileMaker. Saiba mais sobre Licenciamento de usuário do FileMaker.

Rede - Requisitos do cliente
FileMaker Pro Advanced O cliente do FileMaker Pro Advanced exige uma licença de software.
ESS Consulte uma lista dos drivers compatíveis (em inglês).
Requisitos adicionais
Tecnologia Requisito
Java O FileMaker Server 17 está atualmente certificado para funcionar com JRE 1.8.0_171. Conheça o histórico de versões do Java e do FileMaker Server.
PHP O FileMaker Server 17 instala o que você precisa para usar a Publicação na web personalizada com PHP, incluindo o mecanismo de PHP, a API do FileMaker para PHP e a documentação. Use a versão mais recente do PHP que o FileMaker, Inc. tiver certificado.

Os usuários de Windows precisam do PHP 5.6.24
Os usuários de macOS High Sierra 10.13 precisam do PHP 5.6.24
Os usuários de macOS Sierra 10.12 precisam do PHP 5.6.24
Admin Console O Admin Console do FileMaker Server é acessado por meio de um navegador em uma máquina com acesso de rede ao FileMaker Server 17. Os navegadores compatíveis incluem:
  • Safari 11.x
  • Internet Explorer 11.x
  • Chrome 65, no mínimo
  • Microsoft Edge 41
Essas versões são os requisitos mínimos. O Admin Console do FileMaker Server também pode funcionar com versões anteriores dos navegadores, certificadas pelo FileMaker, Inc.
Fontes de dados de ESS compatíveis MS SQL Server 2016
MS SQL Server 2014
MS SQL Server 2012 SP1
MySQL 5.7.14 Community Edition (gratuito)
Oracle 12c R2
Oracle 12c R1
Oracle 11g R2
IBM i 7.1 (AS/400) (via Actual Technologies Adapter)
IBM DB2 11.1 (via Actual Technologies Adapter)
PostgreSQL 9.6.1 (via Actual Technologies Adapter)
Segurança Aceita criptografia AES-256 de dados em repouso quando os arquivos do banco de dados são criptografados pelo recurso de criptografia do FileMaker.

Todos os produtos na Plataforma FileMaker 17 aceitam compartilhamento, leitura e gravação de arquivos criptografados com AES-256.

Aceita fornecedores de certificado SSL de autoridades de certificação. Consulte uma lista dos certificados SSL aceitos (EN).
Tecnologias preteridas e removidas

O FileMaker, Inc. investe constantemente nas tecnologias mais recentes para continuar aprimorando a Plataforma FileMaker. Como resultado, alguns recursos e sistemas operacionais são preteridos e serão removidos nas versões futuras do software FileMaker. Consulte uma lista de tecnologias preteridas (EN).